;This example makes use of the pdf_SetProcHeader() and pdf_SetProcFooter() methods to process page headers and 
;footers. They are called automatically. 

;The logo is printed with the pdf_Image() method by specifying its upper-left corner and its width. 
;The height is calculated automatically to respect the image proportions. (ONLY LIMITED SUPPORT 
;FOR PNG FILES).

;To print the page number, a null value is passed as the cell width. It means that the cell should 
;extend up to the right margin of the page; it is handy to center text. The current page number is 
;returned by the pdf_GetPageNo() method; as for the total number of pages, it is obtained by means of the 
;special value {nb} which will be substituted on document closure (provided you first called 
;pdf_AliasNbPages()). 
;Note the use of the pdf_SetY() method which allows to set position at an absolute location in the page,
;starting from the top or the bottom. 

;Another interesting feature is used here: the automatic page breaking. As soon as a cell would cross 
;a limit in the page (at 2 centimeters from the bottom by default), a break is performed and the font
;restored. Although the header and footer select their own font (Arial), the body continues with Times. 
;This mechanism of automatic restoration also applies to colors and line width. The limit which 
;triggers page breaks can be set with pdf_SetAutoPageBreak(). 

#PurePDF_Include=1
XIncludeFile "PurePDF.pb"

Procedure Header()
  pdf_Image("logo_purepdf.png",10,8,33)
  pdf_SetFont("Arial","B",15)
  pdf_Cell(80)
  pdf_Cell(30,10,"Title",1,0,#PDF_ALIGN_CENTER)
  pdf_Ln(20)
EndProcedure

Procedure Footer()
  pdf_SetY(-15)
  pdf_SetFont("Arial","I",8)
  pdf_Cell(0,10,"Page "+Str(pdf_GetPageNo())+"/{nb}",0,0,#PDF_ALIGN_CENTER)
EndProcedure

Define file$="Tutorial02 Header-Footer.pdf"
Define i

pdf_Create()
pdf_SetProcFooter(@Footer())
pdf_SetProcHeader(@Header())
pdf_AliasNbPages();
pdf_AddPage();
pdf_SetFont("Times","",12);
For i = 1 To 40
  pdf_Cell(0,10,"Printing line number "+Str(i),0,1);
Next
pdf_Save(file$)
RunProgram(file$)
; IDE Options = PureBasic 4.61 (Windows - x86)
; CursorPosition = 40
; Folding = -